Skip to Content.
Sympa Menu

sm-discuss - [SM-Discuss] Announcing stable grimoire 0.32 release

sm-discuss AT lists.ibiblio.org

Subject: Public SourceMage Discussion List

List archive

Chronological Thread  
  • From: Arwed von Merkatz <v.merkatz AT gmx.net>
  • To: sm-discuss AT lists.ibiblio.org
  • Cc: sm-users AT lists.ibiblio.org, sm-announce AT lists.ibiblio.org
  • Subject: [SM-Discuss] Announcing stable grimoire 0.32 release
  • Date: Thu, 16 Apr 2009 18:34:37 +0200

Stable grimoire version 0.32[0] has been released!

As usual, users of stable merely need to run 'sorcery system-update'.
Spells listed on the 0.32[0] release wiki were tested and qualified to
have no known defects of "gating" severity at the time of this release.
The tarballs have been signed and uploaded to our server and will be
propogating out to the mirrors within six hours.

To download the grimoire manually, get
http://codex.sourcemage.org/stable.tar.bz2 or specifically
http://codex.sourcemage.org/stable-0.32.tar.bz2.

GPG signatures are available at
http://codex.sourcemage.org/stable.tar.bz2.asc or
http://codex.sourcemage.org/stable-0.32.tar.bz2.asc.

Here's the shortlog[1] between 0.31 and 0.32:
Andra┼ż Levstik (21):
oss: update to stable 4.1
gtk-server: new spell, a stream-oriented interface to the GTK
libraries
ChangeLog: fix the entry
ChangeLog: fix the entry try no. 2
smgl-gl_select: install gl_select config file
elog: new spell, a weblog type app that can be used for arbitrary
things, even a forum
elog: didn't verify that DETAILS was sorted out properly
mechanize: update to 0.1.11, it breaks with python2.6 otherwise as
that removes gopher from urllib
python-dateutil: new spell, date handling utility lib
calibre: new spell, an eBook management and conversion tool
cryptmount: new spell, a utility which allows an ordinary user to
mount an encrypted filesystem
crypto/audio-entropyd: new spell, entropy generating daemon that
uses audio as it's source
fbreader: added scm version
fbreader: update to 0.10.5
wicd: updated init script
dbus: updated init script
wicd: minor fixup of the script
wicd: added dbus-python
dovecot: update to 1.1.13
calibre: update to 0.5.3 - upstream removes older releases from
site
calibre: updated SOURCE_URL and it seems it'll be getting upstream
sigs as well

Arjan Bouter (25):
xf86-video-ati: added SCM version.
phoronix-test-suite: added optional 1.8.0 dev version (now
includes a gui)
mediatomb: new spell, upnp media server
shorewall: version 4.2.6
shorewall-common: version 4.2.6
shorewall-docs-html: version 4.2.6
shorewall-docs-xml: version 4.2.6
shorewall-lite: version 4.2.6
shorewall-shell: version 4.2.6
shorewall-perl: version 4.2.6.2
shorewall6: new spell, IPv6 shorewall
shorewall6-lite: new spell, shorewall-lite for IPv6
rt2870: new spell, rt2870 driver
xf86-video-ati: forgot to depend on git when building the scm
version
qcad: added some missing includes and replaced a function to make
it build again
linux: added zen_patches and lzma support for this spell. Now
don't go and fall off the bleeding edge ;)
bmpanel: new spell, netwm compliant panel
libfprint: added dev version, optional
fprintd: new spell, fingerprint udev deamon. supposedly supported
by gnome 2.26
pam_fprint: new spell, fingerprint pam module
linux: added optional dep on lzma-utils, thanks Jaka
xcb-util: version 0.3.3
awesome: 3.2
vinagre: fixed source url while we wait for 2.26 ;)
motion: really added BUILD & CONFIGURE this time...

Arwed von Merkatz (19):
VERSION: 0.32-test
poppler: work around one circular depends issue with gtk+2, cairo
and poppler, partial fix for bug 14872
cairo: freetype2 is hard depends, not optional
gcc: removed old bug workaround, not needed anymore
libxcb: added UP_TRIGGERS for bug 15104
qiv: optional depends on libexif
ffmpeg-svn: removed swscale configure option, bug 15129
mplayer: removed unknown configure option
xine-lib: fix compile with current ffmpeg-svn
gxine: updated to 0.5.903
Revert "ada: Updated Ada i686 bootstrap to 4.3.3"
Revert "ada: Updated to 4.3.3"
Revert "fortran: Updated to 4.3.3"
Revert "objc: Updated to 4.3.3"
Revert "gcj: Updated to 4.3.3"
Revert "g++: Updated to 4.3.3"
Revert "gcc: Updated to 4.3.3"
VERSION: 0.32-rc
VERSION: 0.32-0

Bearcat M. Sandor (4):
added a patch to make xmms2 stable compile. There was a syntax
error in the code.
xmms2: forgot to add chain to previous patch line. Whoops.
Removed patches and associated PRE_BUILD as they are not nessesary
after update to 4.5.1
new spell gnome-color-chooser 0.2.4

Eric Sandall (63):
tiff: Depends on libice, libsm, libxi, libxmu, and zlib
tiff: Remove extra whitespace
xf86-video-ati: Added missing sig (thanks Andraz)
Revert "module-init-tools-3.6"
Revert "Revert "module-init-tools-3.6""
mpd: Optionally depends on avahi
evolution-exchange: Optionally depends on avahi
gtkhtml2: Optionally depends on avahi
evolution-data-server: Optionally depends on avahi
libbonoboui: Optionally depends on avahi
libgnome: Optionally depends on avahi
libgnomeui: Optionally depends on avahi
evolution: Optionally depends on avahi
linux: Added patch-2.6.29-rc7
wine: A better fix for WINE Bug #17024, add -fno-inline to CFLAGS
and CXXFLAGS. Now -O3 works again.
udev: Create firewire group to stop the boot warning
kdebase-workspace4: startkde uses xprop at runtime, depend on it
module-init-tools: Print out kernels we're rebuilding module
dependencies for and only redirect errors
wine: Hopefully final fix for the GCC bug triggered in WINE Bug
#17024, use -fno-guess-branch-probability if using -O3 in CFLAGS
linux: smgl-logo-0.2-for-2.6.22.patch applies to 2.6.28 as well
wine: Updated to 1.1.17
libcfg+: Fails to install with multiple make jobs
xf86-video-intel: Updated to 2.6.3
xproto: Updated to 7.0.15 (cherry picked from commit
fdfa1481f57a4ea987f2f1ea231c926fa2d8f8fd)
Revert "perl-cpan/xml-parser-expat: add missing dependency --
Patches by Andrew Stitt - afrayedknot until alley_cat sorts out his
commit access"
xf86-video-ati: Updated to 6.12.0
gnome-desktop: Links against esound if available, so optionally
depend on it
tiff: Removed zlib depends, already listed as optional
tiff: libice, libsm, libxi, and libxmu are optional, per Ladislav
vflib3: Fails to build with multiple make jobs
cegui: Run `libtoolize -f` and add '-f' to autoreconf to fix Bug
#15124
cegui: Updated to 0.6.2
cegui: Clean up formatting
gtk-sharp-2: Fix compilation with libtool 2.2.6a (Bug #15125)
Revert "gtk-sharp-2: Fix compilation with libtool 2.2.6a (Bug
#15125)"
gtk-sharp-2: Fix compilation with libtool 2.2.6a (Bug #15125)
gnome-sharp: Fix compilation with libtool 2.2.6a (Bug #15126)
gnome-sharp: Fix compilation with libtool 2.2.6a (Bug #15126)
smgl-archspecs: Updated to 0.8.0
castfs: Updated to 0.6.0 (fixes Bug #15128) Now hosted on SMGL
servers
kde4/KDE_DEPENDS: kdelibs4 requires qt4 built with WebKit: CMake
Error: The following variables are used in this project, but they are
set to NOTFOUND. Please set them or make sure they are set and tested
correctly in the CMake files: QT_QTWEBKIT_LIBRARY (ADVANCED) linked by
target "plasma" in directory /usr/src/kdelibs-4.2.1/plasma
Old kde4/HISTORY entry mentions DEPENDS instead of KDE_DEPENDS
Revert "module-init-tools-3.6"
module-init-tools: Need to call the newly installed (current)
depmod to generate the depmod index for the installed version, otherwise
we get issues as seen in Bug #15084 (downgrading to 3.5 from 3.6, but
the indeces are regenerated using old.binaries/depmod, which is 3.6)
module-init-tools: We need to regenerate the depmod indeces when
we resurrect (e.g. resurrecting 3.5 with 3.6 installed)
linux: Added patch-2.6.28.9
linux: Added patch-2.6.27.21
linux: Forgot to commit the HISTORY file, thanks Ladislav :)
gnome-power-manager: Depends on libcanberra
gnome-power-manager: Depends on unique
gconf-editor: Depends on policykit
wine: Updated to 1.1.18
metacity: Depends on zenity
man-pages: Updated to 3.20
nautilus2: Depends on unique
gnu.gpg: Added GPG key 0xFC26A641 for GCC 4.3.3 from
http://ftp.gnu.org//gnu/gnu-keyring.gpg
gcc: Updated to 4.3.3
g++: Updated to 4.3.3 (cherry picked from commit
85a038a503674b53dd3d20f85ec70911dc258c65)
gcj: Updated to 4.3.3 (cherry picked from commit
e9d7b0fca45d391ca072f1d968958ff2ecef04e6)
objc: Updated to 4.3.3 (cherry picked from commit
da1fe4bc59107e0ce040aa4eccf4152d75c3a1a8)
fortran: Updated to 4.3.3 (cherry picked from commit
5f0411ef7955ca5df234c4a8ce33f80b58e8edb4)
ada: Updated to 4.3.3 (cherry picked from commit
2daac12272b7e3ce67dea745c224fcc14d19cd3c)
ada: Updated Ada i686 bootstrap to 4.3.3 (cherry picked from
commit 041235797d3daac574250b84338c26ade357ae55)

Ethan Grammatikidis (4):
inkscape: poppler.patch now breaks poppler compatibility; removed.
Revert "inkscape: poppler.patch now breaks poppler compatibility;
removed."
pear-image_3d: fixed short & long
9mount: cleaned up long desc

Florian Franzmann (15):
graphics/cinepaint: removed reference to missing patches
collab/subversion: updated to 1.6.0-rc2
video/dvdrip: updated to 0.98.10
chat-im/climm: updated to 0.6.4
perl-cpan/perl-gtk2: updated to 1.203
perl-cpan/perl-gtk2: corrected SOURCE_HASH
devel/swig: updated to 1.3.39
devel/graphviz: updated to 2.22.2
shell-term-fm/zsh: updated to 4.2.7 and 4.3.9
shell-term-fm/clex: updated to 4.2
x11-toolkits/qwt5: updated to 5.2.0
Revert "x11-toolkits/qwt5: updated to 5.2.0"
x11-toolkits/qwt5: updated to 5.2.0
Revert "x11-toolkits/qwt5: updated to 5.2.0"
x11-toolkits/qwt5: updated to 5.2.0

George Sherwood (53):
subversion: Updated to version 1.5.6. Removed fixes for
apr/apr-util in PRE_BUILD. It is finding system libs just fine. It was
causing breakage now with apr as it did apr0 earlier.
midori: Updated to version 0.1.4
webkitgtk: Added released version 1.1.1 and updated nightly build
to 41279. Only uses libsoup now for http backend.
phpmyadmin: Updated to version 3.1.3
xfce4-profile: Added midori and ristretto
xfce4-notes-plugin: Updated to version 1.6.4
xfce4-datetime-plugin: Updated to version 0.6.1
pidgin: Updated to version 2.5.5
gcalctool: Updated to version 5.24.3.1
xfce4-xkb-plugin: Updated to version 0.5.3.3
liferea: Updated devel to version 1.5.12
pan: +x DETAILS. Bug 15017
imagemagick: Updated to version 6.4.9-9
bash: Added upstream patches bash40-001 to bash40-010.
PATCHLEVEL++
midori: Added optional_depends docutils for user's manual
liferea: Updated devel to version 1.5.13
imagemagick: Updated to version 6.5.0-0
webmin: Updated to version 1.460
liferea: Updated stable to version 1.4.27
liferea: Updated devel to version 1.5.13. Added depends libsoup
webkitgtk: Updated stable to version 1.1.2 and nightly to r41707
lifrea: forgot sig file
bash-completion: Updated to work with bash 4.0. PATCHLEVEL++
xulrunner: Updated to version 1.9.0.7. SECURITY_PATCH++
seamonkey: Updated to version 1.1.15. SECURITY_PATCH++
webmin: Updated to version 1.470
midori: Updated to version 0.1.5. Midori has downloading of files
now.
goffice-dev: Updated to version 0.7.4
gnumeric: Updated to version 1.9.5
filezilla: Updated to version 3.2.3
smgl-gl_select: Added file name to install of config file.
Without this INSTALL was failing when not using castfs
imagemagick: Updated to version 6.5.0-6
silc-server: Updated to version 1.1.16
irssi: Updated to version 0.8.13-rc1 as recommended by upstream.
Fixes bug 14904.
loudmouth: Updated to version 1.5.0
gossip: Updated WEB_SITE. depends libxscrensaver
netkit-ftp: Added fedora patch to fix issue with glibc >= 2.8
run-parts: Updated to version 2.32.3. Source for version 2.32 was
missing
filezilla: Updated to version 3.2.3.1
Revert "libxext: => 1.0.5". Will not build with current version of
libx11 in test.
Revert "xproto: Updated to 7.0.15". Caused libx11 1.1.5 to fail as
in Bug 15111
weechat: Updated to version 0.2.6.1
webkitgtk: Updated nightly build to r42075. Now it really
contains all the required updates to be at least equal to 1.1.3.
imagemagick: Updated to version 6.5.0-9
phpmyadmin: Updated to version 3.1.3.1
mono: Updated to version 2.4
liferea: Updated devel to version 1.5.15
ptlib: Updated to version 2.6.1
opal: Updated to version 3.6.1
ptlib: Fixed HISTORY entry.
ekiga: Updated to version 3.2.0
ptlib: Added missing semi-colon in PRE_SUB_DEPENDS. It was
working but with errors.
seamonkey: Updated to version 1.1.16. SECURITY_PATCH++ (cherry
picked from commit 20ef0063a05ccc4a74da4815623bf949a998a0cf)

Jaka Kranjc (12):
faad2: UP_TRIGGERS: detect the latest soname change too
gammu: 1.23.1 many changes, now includes the python bindings
gammu: changes for python-gammu deprecation
python-pypi/python-gammu: spell deprecated [now inclided in gammu]
Revert "Revert "readline: => 6.0""
Revert "Revert "bash: => 4.0, post-3.2.48 release""
aria2: 1.2.0
wammu: 0.30.1
Revert "libxcb: added UP_TRIGGERS for bug 15104"
Revert "libxcb: => 1.2"
Revert "libx11: => 1.2"
r: 2.8.1

Julien ROZO (26):
powermgmt-base: updated version to 1.30+nmu1 in DETAILS, replaced
spell name with $SPELL in SOURCE_URL and WEB_SITE added CONFLICTS: spell
conflicts with pm-utils
pm-utils: added CONFLICTS: spell conflicts with powermgmt-base
wicd: fixed .desktop installation paths for KDE 3.x and 4.x, fixed
.desktop installation path for KDE 4.x autostart
libaio: new spell, asynchronous I/O access library
zfs-fuse: new spell, a port of ZFS to the FUSE framework
wicd: removed useless echo in BUILD (used to debug) switched
install process to default_install_python
fuse: no longer installs supplied init.d script, installs instead
smgl-style one
k9copy4: updated version to 2.2.0
kdesvn4: updated version to 1.2.4
kdiff4: updated version to 0.9.95
live: updated version to 2009.02.23
qsvn: updated version to 0.8.1
libconfig: updated version to 1.3.2
sword: updated version to 1.5.11
bibletime4: new spell, kde4 version of bibletime
amarok2: updated version to 2.0.2 removed PRE_BUILD, no longer
needed
libx86: added PRE_BUILD and defines.patch to fix compilation issue
with latest kernel headers when not using x86emu
vbetool: updated version to 1.1 in DETAILS, fixed SOURCE,
SOURCE_URL and WEB_SITE in DEPENDS, added libx86 in PRE_BUILD, applying
a patch to fix compilation issue with Makefile looking for static libpci
while this lib is shared added libpci-shared.patch to fix Makefile.*
laptop-mode-tools: updated version to 1.47 in DEPENDS, added
pm-utils as optional, to restore settings on resume in PRE_BUILD, using
$VERSION in patch name in INSTALL, added some newly available
environment variables, great to clean up the patch a lot
laptop-mode-tools-1.47.patch: adapted from laptop-mode-tools-1.35.patch
for this version laptop-mode-tools-1.35.patch: removed
libkdcraw: updated version to 0.1.8
digikam: updated devel & stable versions to 0.9.5
resynthesizer: updated version to 0.16 adapted sedit tricks in
PRE_BUILD for the new version BUILD uses only make
thunderbird: updated version to 2.0.0.21
kosd: new spell, kde4 osd
kplayer4: new spell, kde4 version of kplayer
kompozer: fix compilation issue with nss 3.12

Ladislav Hagara (97):
lm_sensors 2.10.8 / 3.1.0
sysstat 9.0.0
latrace 0.5.4
roxterm 1.13.5
gnome-applets2 2.24.3.1
curl 7.19.4
libchipcard 4.2.4 upstream SOURCE_URL[0] with NO_CACHE="-O
${SOURCE}"
gwenhywfar 3.7.2 upstream SOURCE_URL[0] with NO_CACHE="-O
${SOURCE}"
libsndfile 1.0.19, SECURITY_PATCH=1, CVE-2009-0186
gnupg-exp 2.0.11
lftp 3.7.9
lvm 2.02.45
neon 0.28.4
curlftpfs 0.9.2
claws-mail 3.7.1
claws-mail-extra-plugins 3.7.1
sysstat 9.0.1
libidn 1.13
linux-pam 1.0.4, SECURITY_PATCH=1, CVE-2009-0579
net/pingtunnel: new spell, tunneling TCP connections over ICMP
pkcs11-helper 1.07
nfs-utils 1.1.5
stellarium 0.10.2
ffmpeg 0.5
hal-info 20090309
iso-codes 3.7
libs/liblockfile: new spell, NFS-safe locking library, includes
dotlockfile program
utils/lockfile-progs: new spell, programs for locking and
unlocking files and mailboxes
crypto/monkeysphere: new spell, a program that enables you to use
OpenPGP to verify ssh connections
dmraid 1.0.0.rc15
minicom 2.3
syslinux 3.73
mtools 4.0.10
libusb 1.0.0
libusb-compat 0.1.0 - new spell, USB access library (libusb-1.0
compat wrapper)
libusb-compat: ChangeLog entry
poppler 0.10.5
ksplice 0.9.7
freetype2 2.3.9
usbview 1.1
giv 0.9.14
samba 3.3.2
virtualbox 2.1.4-3 #15105
virtualbox-module 2.1.4-3 #15105
udev 140
geoip 1.4.6
crypto/yassl: new spell, Yet Another SSL
linux 2.6.28.8
libmtp 0.3.7
gnofract4d 3.11
smplayer 0.6.7
gnome-mplayer 0.9.5
wvstreams: updated WEB_SITE
gecko-mediaplayer 0.9.5
lftp 3.7.10
gmime 2.4.4
rhythmbox 0.12.0
cryptopp: fixed HISTORY, commit
eb31f205bde88d847a4acef79d17092376a25a64
cryptsetup-luks: updated WEB_SITE and SOURCE_URL[0]
fbreader 0.10.4
libfprint: fixed broken stable version
termit 2.2.0
xpad 3.1
lftp 3.7.11
ne 2.0.3
radare 1.2.2
elinks 0.11.6
hdparm 9.13
qiv 2.1
worker 2.17.3
libkate 0.3.1
mdadm 2.6.9
archive/xz-utils: new spell, utils and library for managing LZMA
compressed files
iptables 1.4.3
linux 2.6.29
iptables 1.4.3.1
gnomint 0.9.9
graphics-libs/libpuzzle: new spell, library to find similar
pictures
e-17/e_module-systray: new spell, E17 System Tray
recordmydesktop 0.3.8.1
gtk-recordmydesktop 0.3.8
shadow: pam.d/chage added, #15140
jhead 2.87
ldns 1.5.1
llvm 2.5
transcode 1.1.2
rb-libtorrent 0.14.2
roxterm 1.14.1
pango: removed useless sig
seahorse-plugins 2.26.0
ecryptfs-utils 73
vlc DETAILS: 0.9.9, SECURITY_PATCH=12 exploit:
http://www.securityfocus.com/bid/34126/exploit
libcddb 1.3.1
gv 3.6.7
coreutils 7.2
hal-info 20090330
lives 0.9.9.7

Mark Bainter (1):
FUNCTIONS: Updated to support $OPTS arguments to build command

Mathieu Lonjaret (6):
bittorrent: update to 5.2.2
libowfat: update to 0.28
dietlibc: cvs version
libowfat: dietlibc optional (for opentracker)
opentracker: new spell, BitTorrent tracker
opentracker: fix ip6 bug

Remko van der Vossen (2):
iptables: xtables compile fix, fixes bug 15015.
gv: version 3.6.6

Robin Cook (151):
glib2: updated to 2.19.10
pango: updated to 1.23.0
gtk+2: updated to 2.15.5
gconf2: updated to 2.25.2
atk: updated to 1.25.2
libbonobo: updated to 2.24.1
at-spi: updated to 1.25.92
libgnomecanvas: updated to 2.25.90
libbonobo: updated to 2.24.1
libwnck: updated to 2.25.91
libsoup: removed the devel option
libgweather: updated to 2.25.92
evolution-data-server: updated to 2.25.92
gnome-keyring: updated to 2.25.92
evolution-webcal: updated to 2.25.91
gnome-doc-utils: updated to 0.15.2
gnome-desktop: updated to 2.25.92
gnome-menus: updated to 2.25.91
gnome-panel: updated to 2.25.92
gconf-editor: updated to 2.25.91
gdm2: updated to 2.25.2
gtk-engines2: updated to 2.17.4
gnome-themes: updated to 2.25.92
gnome-icon-theme: updated to 2.25.91
nautilus2: updated to 2.25.92
libgnomekbd: updated to 2.25.91
gnome-settings-daemon: updated to 2.25.92
gnome-control-center: updated to 2.25.92
libgtop2: updated to 2.26.0
gtksourceview: updated to 2.5.6
pyorbit: updated to 2.24.0
gnome-python2: updated to 2.25.90
gnome-python-desktop: updated to 2.25.91
gnome-games2: updated to 2.25.92
gnome-nettool: updated to 2.25.3
gnome-screensaver: updated to 2.25.2
gnome-session: updated to 2.25.92
gnome-system-monitor: updated to 2.26.0
vte: updated to 0.19.4
gnome-terminal: updated to 2.25.91
gnome2-user-docs: updated to 2.25.1
gnome-utils2: updated to 2.25.92
gtkhtml2: updated to 3.25.92
vino: updated to 2.25.92
yelp: updated to 2.25.1
zenity: updated to 2.24.1
gtk-sharp-2: updated to 2.12.8
gnome-sharp: updated to 2.24.1
gnome-desktop-sharp: updated to 2.26.0
gvfs: updated to 1.1.7
But i
alacarte: updated to 0.11.9
deskbar-applet: updated to 2.25.92
eog2: updated to 2.25.92
aborts the commit.
epiphany: updated to 2.25.91
evolution-exchange: updated to 2.25.92
epiphany-extensions: updated to 2.25.91
evince: updated to 2.25.92
file-roller: updated to 2.25.92
gcalctool: updated to 5.25.92
gedit: updated to 2.25.8
devicekit: New spell, dbus frontend for udev
gnome-power-manager: updated to 2.25.91
gok: updated to 2.25.91
gucharmap: updated to 2.25.91
orca: updated to 2.25.92
mono-addins: updated to 0.4
tomboy: updated to 0.13.6 (doesn't compile with evolution plugin
yet)
glib2: change hash to sig
ptlib: updated to 2.6.0
opal: updated to 3.6.0
ekiga: updated to 3.1.2
ekiga: added sub depends ptlib with cyrus-sasl
ptlib: added SUB_DEPENDS and PRE_SUB_DEPENDS with cyrus-sasl
libidl: updated to 0.8.13
intltool: updated to 0.40.6
gconf2: updated to 2.26.0
gnome-vfs2: updated to 2.24.1
at-spi: updated to 1.26.0
libgnome: updated to 2.26.0
libgnomecanvas: updated to 2.26.0
libgnomeui: updated to 2.24.1
libwnck: updated to 2.26.0
dasher: updated to 4.10.0
libsoup: updated to 2.26.0
libgweather: updated to 2.26.0
evolution-data-server: updated to 2.26.0
libglade2: updated to 2.6.4
gnome-keyring: updated to 2.26.0
evolution-webcal: updatedt to 2.26.0
gnome-doc-utils: updated to 0.16.0
gnome-desktop: updated to 2.26.0
gnome-menus: updated to 2.26.0
eel2: updated to 2.26.0
gnome-panel: updated to 2.26.0
gconf-editors: updated to 2.26.0
gdm2: updated to 2.26.0
gnome-applets2: updated to 2.26.0
gnome-backgrounds: updated to 2.24.1
gtk-engines2: updated to 2.18.0
gnome-themes: updated to 2.26.0
gnome-icon-theme: updated to 2.26.0
librsvg2: updated to 2.26.0
nautilus2: updated to 2.26.0
metacity: updated to 2.26.0
libgnomekbd: updated to 2.26.0
gnome-settings-daemon: updated to 2.26.0
gnome-control-center: updated to 2.26.0
gnome-python2: updated to 2.26.0
gnome-python-desktop: updated to 2.26.0
gtkhtml2: updated to 3.26.0
evolution: updated to 2.26.0
gnome-games2: updated to 2.26.0
gnome-mag: updated to 0.15.5
gnome-netstatus: updated to 2.26.0
gnome-nettool: updated to 2.26.0
gnome-session: updated to 2.26.0
gnome-system-monitor: updated to 2.26.0.1
vte: updated to 0.20.0
gnome-terminal: updated to 2.26.0
gnome2-user-docs: updated to 2.26.0
gnome-utils: updated to 2.26.0
vino: updated to 2.26.0
yelp: updated to 2.26.0
pygtksourceview: updated to 2.6.0
Zenity: updated to 2.26.0
gvfs: updated to 1.2.0
bug-buddy2: updated to 2.26.0
alacarte: updated to 0.11.10
deskbar-applet: updated to 2.26.0
eog2: updated to 2.26.0
epiphany: updated to 2.26.0
epiphany-extensions: updated to 2.26.0
evince: updated to 2.26.0
evolution-exchange: updated to 2.26.0
file-roller: updated to 2.26.0
gcalctool: updated to 5.26.0
gedit: updated to 2.26.0
gnome-power-manager: updated to 2.26.0
gnome-system-tools: updated to 2.22.2
gok: updated to 2.26.0
gucharmap: updated to 2.26.0
orca: updated to 2.26.0
tomboy: updated to 0.14.0
brasero: updated to 2.26.0
sound-juicer: updated to 2.26.0
totem-pl-parser: updated to 2.26.0
totem: updated to 2.26.0
seahorse: updated to 2.26.0
vinagre: updated to 2.26.0

Thomas Orgis (4):
mpg123: update to 1.7.0
lesstif: switch to version 0.950.0 (unofficial snapshot, patched
to have a working state at least)
nedit: switch version to snapshot 5.6-20090329
mpg123: update to 1.7.2, a security fix (cherry picked from commit
bc02624cc5b7d5b610a9417bef84e30280bdf706)

Treeve Jelbert (204):
kdelibs4: => 4.2.65.svn932664
kdebase4-runtime: => 4.2.65.svn932664
kdeplasmoids4: => 4.2.65.svn932664
kdebase4: => 4.2.65.svn932664
kdepimlibs4: => 4.2.65.svn932664
kdebase-workspace4: => 4.2.65.svn932664
kdegames4: => 4.2.65.svn932664
kdeadmin4: => 4.2.65.svn932664
kdegraphics4: => 4.2.65.svn932664
kdemultimedia4: => 4.2.65.svn932664
kdenetwork4: => 4.2.65.svn932664
kdeutils4: => 4.2.65.svn932664
kdeaccessibility4: => 4.2.65.svn932664
kdeartwork4: => 4.2.65.svn932664
kdebindings4: => 4.2.65.svn932664
kdeedu4: => 4.2.65.svn932664
kdesdk4: => 4.2.65.svn932664
kdetoys4: => 4.2.65.svn932664
kdewebdev4: => 4.2.65.svn932664
cherokee: => 0.99.2
openbabel: => 2.2.1
avogadro: => 0.9.2
soprano: => 2.2.3
kdepim4: => 4.2.65.svn932664
openct - extra depends
qt4: => 4.5.0
firebird: => 2.1.2.18118-0.RC2
qt4 - fix hash of stable tarball
sptk: => 3.5.8.10
dazukofs: => 3.0.0
phonon: => 4.3.1
kde4-l10n: => 4.2.1
kde4-profile: => 4.2.1
kdelibs4: => 4.2.1
kdebase4-runtime: => 4.2.1
kdepimlibs4: => 4.2.1
kdebase-workspace4: => 4.2.1
kdebase4: => 4.2.1
kdeadmin4: => 4.2.1
kdeplasmoids4: => 4.2.1
kdepim4: => 4.2.1
kdegames4: => 4.2.1
kdeaccessibility4: => 4.2.1
kdeartwork4: => 4.2.1
kdebindings4: => 4.2.1
kdeedu4: => 4.2.1
kdesdk4: => 4.2.1
kdetoys4: => 4.2.1
kdewebdev4: => 4.2.1
kdegraphics4: => 4.2.1
kdemultimedia4: => 4.2.1
kdenetwork4: => 4.2.1
kdeutils4: => 4.2.1
koffice2: => 1.9.98.7
turbogears2: => 2.0b7
repoze.what: => 1.0.5
repoze.what-pylons: => 1.0rc3
simplejson: => 2.0.8
webob: => 0.9.6.1
pastedeploy: => 1.3.3
routes: => 1.10.3
dabo: => 0.9.1
jbigkit: => 2.0
wv2: => 0.3.1
koffice2 - add upstream patch for building with wv2 on amd64
koffice2 - fix previous patch
libisoburn: => 0.3.4
xerces-c: => 3.0.1
xalan-c-svn
gramps: => 3.1.0
xalan-c - fix install of symlinks
bobcat-2.01.1
partimage-ng - new website
qdevelop: => 0.27.4
bzrtools: => 1.12.0
mldonkey: => 3.0.0
dejavu-ttf: => 2.29
gramps: => 3.1.1
libwbxml: => 0.10.4
kdepimlibs4 - remove CONFLICTS
ack: => 1.88
ploticus: => 241
kdelibs4: => 4.2.66.svn937700
kdepimlibs4: => 4.2.66.svn937700
kdebase4-runtime: => 4.2.66.svn937700
kdebase-workspace4: => 4.2.66.svn937700
kdeplasmoids4: => 4.2.66.svn937700
kdebase4: => 4.2.66.svn937700
kdeadmin4: => 4.2.66.svn937700
kdeaccessibility4: => 4.2.66.svn937700
kdeartwork4: => 4.2.66.svn937700
kdebindings4: => 4.2.66.svn937700
kdeedu4: => 4.2.66.svn937700
kdesdk4: => 4.2.66.svn937700
kdetoys4: => 4.2.66.svn937700
kdewebdev4: => 4.2.66.svn937700
kdegames4: => 4.2.66.svn937700
kdegraphics4: => 4.2.66.svn937700
kdemultimedia4: => 4.2.66.svn937700
kdenetwork4: => 4.2.66.svn937700
kdeutils4: => 4.2.66.svn937700
kdepim4: => 4.2.66.svn937700
kde4-profile: => 4.2.66
system-config-printer: => 1.1.6
cryptopp: => 560
lazarus: => 0.9.27-18993-20090315
libraw: => 0.7.0
xf86-input-evdev: => 2.2.0
Revert "xf86-input-evdev: => 2.2.0"
mlt - now depends LIBAVCODEC
clamav: => 0.95rc2
bzr => 1.3
bzrtools: => 1.13.0
digikam4: => 0.10.0
kipi-plugins4: => 0.2.0
cherokee: => 0.99.4
wxgtk: => 2.8.10
wxpython: => 2.6.4.0
configobj: => 4.5.3
gtksourceview: => 2.6.0
pygtksourceview: => 2.5.0
cherokee: => 0.99.5
asciidoc: => 8.4.2
parrot: => 1.0.0
parrot - remove INSTALL
turbogears2: => 2.0rc1.
tokyocabinet: => 1.4.11
kde4-profile: => 4.2.67
kdelibs4: => 4.2.67.svn940805
kdebase4-runtime: => 4.2.67.svn940805
kdepimlibs4: => 4.2.67.svn940805
kdebase-workspace4: => 4.2.67.svn940805
kdeplasmoids4: => 4.2.67.svn940805
kdebase4: => 4.2.67.svn940805
kdenetwork4: => 4.2.67.svn940805
kdeaccessibility4: => 4.2.67.svn940805
kdeartwork4: => 4.2.67.svn940805
kdebindings4: => 4.2.67.svn940805
kdeedu4: => 4.2.67.svn940805
kdesdk4: => 4.2.67.svn940805
kdetoys4: => 4.2.67.svn940805
kdewebdev4: => 4.2.67.svn940805
kdeadmin4: => 4.2.67.svn940805
kdeutils4: => 4.2.67.svn940805
kdegames4: => 4.2.67.svn940805
kdegraphics4: => 4.2.67.svn940805
kdemultimedia4: => 4.2.67.svn940805
kdepim4: => 4.2.67.svn940805
kde4/oxygen-icons - new spell
kdebase4-runtime - extra depends
lcms: => 1.18
oxygen-icons - prevent install with stable kde4
python-pypi/repoze.tm2: new spell
python-pypi/webflash: new spell
turbogears2 - update depends
libv4l: => 0.5.9
gwc: => 0.21-10
privoxy: => 3.0.12
libraw: => 0.7.1
ragel: => 6.4
lazarus: => 0.9.27-19066-20090323
ddrescue: => 1.10
lzip-1.5-rc2
strongswan: => 4.2.13
strongswan - remove support for obsolete version 2.8
clamav: => 0.95
qca-pkcs11-2.0.0-beta2
audacity: => 1.3.7
partimage-ng - fix compile with gcc-4.4
bzr: => 1.13.1
lcms - update sha5sum, tarball now fixed upstream
sqlalchemy: => 0.5.3
lcms - add bug #15133 to history
cherokee: => 0.99.6
ntfs-3g: => 2009.3.8
cherokee: => 0.99.7
falcon: => 0.9.0
numpy: => 1.3.0rc1
netpbm - fix bug #5141
bogofilter: => 1.2.0
qdevelop: => 0.28.0~svn445-src
firebird: => 2.1.2.18118-0
kde4-profile: => 4.2.68
kdelibs4: => 4.2.68.svn945504
kdepimlibs4: => 4.2.68.svn945504
kdebase4-runtime: => 4.2.68.svn945504
kdeplasmoids4: => 4.2.68.svn945504
kdebase-workspace4: => 4.2.68.svn945504
kdebase4: => 4.2.68.svn945504
kdepim4: => 4.2.68.svn945504
kdeadmin4: => 4.2.68.svn945504
kdegames4: => 4.2.68.svn945504
kdeaccessibility4: => 4.2.68.svn945504
kdeartwork4: => 4.2.68.svn945504
kdebindings4: => 4.2.68.svn945504
kdeedu4: => 4.2.68.svn945504
kdesdk4: => 4.2.68.svn945504
kdetoys4: => 4.2.68.svn945504
kdewebdev4: => 4.2.68.svn945504
kdegraphics4: => 4.2.68.svn945504
kdemultimedia4: => 4.2.68.svn945504
kdenetwork4: => 4.2.68.svn945504
kdeutils4: => 4.2.68.svn945504
oxygen-icons: => 4.2.68.svn945504

Vlad Glagolev (116):
midori: fixed plugins' path
postgresql: pg_ctl doesn't support logging to syslog
diffuse: new spell, graphical tool for merging and comparing text
files
git => 1.6.2
firefox: => 3.0.7
mercurial: => 1.2
tar: => 1.22
python-ldap: => 2.3.6
python-ldap: fixed stupid typo
tightvnc: => 1.3.10
pygtk2: => 2.14.1
libgnomeprint: => 2.18.6
libgnomeprintui: => 2.18.4
orbit2: => 2.14.17
php: suhosin patch 0.9.7
gbdfed: => 1.5
abiword: => 2.6.7
kqemu: => 1.4.0pre1
qemu: => 0.10.0
qemulator: new spell, comfortable GUI for the qemu virtual engine
lighttpd: => 1.4.22
luafilesystem: => 1.4.2
dejavu-ttf: source tarball renewal by upstream
libmpd: => 0.18.0
gmpc: => 0.18.0
abiword: => 2.6.8
qemu: fixed disable flag + desc
libosip2: => 3.3.0
libexosip2: => 3.3.0
ortp: => 0.15.0
rrdtool: => 1.3.6
rrdtool: fixed ruby dep desc
libisofs: => 0.6.16
cairo: added X subdep for gtk+2
gtk+2: fixed cairo subdep
rrdtool: it needs all-in-one cairo :(
librsvg2: libart_lgpl no longer required
code-browser: => 3.8
glib2: => 2.20.0
gtk+2: => 2.16.0
roundup: => 1.4.7
jack2: => 1.9.1
ardour2: use external (fixed and updated) libsndfile -- allows
FLAC files usage
ardour2: regenerate mime db on remove
ardour2: correctly fixed the previous bug
libburn: => 0.6.4
webkitgtk: => 1.1.3
git: => 1.6.2.1
nss-ldapd: new spell, NSS module for name lookups using LDAP
pysqlite: => 2.5.5
gimp: => 2.6.6
linux: => 2.6.27.20 (uber-stable branch)
postgresql: => 8.3.7
pango: => 1.24.0
roundup: => 1.4.8
cgilua: => 5.1.3
atk: => 1.26.0
subversion: => 1.6.0
lxml: => 2.2
mercurial: => 1.2.1
qemu: => 0.10.1
metalog: => 1
pycairo: => 1.8.4
gnu.gpg: added key F91BB79F (Brendan Kehoe <brendan AT zen.org>)
gperf: => 3.0.4
mplayer-gui: => 1.7
vorbis-tools: => 1.2.0
goffice: => 0.6.6
run-parts: => 2.32
pyxdg: => 0.17
intltool: => 0.40.6
translate-toolkit: => 1.3.0
virtaal: => 0.3.1
wpa_supplicant: => 0.6.8 (stable, devel), => 0.5.11 (old)
libcap: => 2.16
liboil: => 0.3.16
obex-data-server: => 0.4.4
openobex: => 1.5
pcsc-lite: => 1.5.2
bluez: => 4.33
gtkam: => 0.1.16.1
whois: => 4.7.32
diffuse: => 0.3.1
epdfview: fixed scrolling bug appeared in 0.1.7 (upstreamly)
gmp: fix very big epic failure if a user has /usr on a different
partition
nss-ldapd: => 0.6.8
glibc: fixed a typo
libcap: fixed compilation with new (>=2.6.29) linux kernel headers
for glibc
openssl: => 0.9.8k
loop-aes: => 3.2f
rp-pppoe: fixed compilation with the newer headers
linphone: => 3.1.0; fixed a crash
metalog: don't trash alive config
ghostscript: fixed the flags for cairo
firefox: => 3.0.8
firefox; security patching for 3.0.8
ardour2: => 2.8
Revert "numpy: => 1.3.0rc1"
Revert "xextproto: => 7.0.5"
atk: removed useless sig
glibmm: => 2.20.0
pangomm: => 2.24.0
gtkmm2: => 2.16.0
libgnomecanvasmm: => 2.26.0
sonata: => 1.6
znc: => 0.068
trac: => 0.11.4
exim: fixed SYSTEM_ALIASES_FILE in compilation process
exim: fixed aliases file path in the config
sqlite: => 3.6.12
Revert "coreutils 7.2"
gigolo: => 0.3.0
pyopengl: => 3.0.0
irssi: => 0.8.13
nginx: added optional syslog support
sqlite: fixed sum for the renewed tarball (cherry picked from
commit 4a05ad7c350e42f0f99c067ddf41773c04b95b60)


[0] http://wiki.sourcemage.org/Stable-0.32
[1] Generated with: 'git shortlog --no-merges stable-0.31-3..stable-0.32-0'

--
Arwed v. Merkatz Source Mage GNU/Linux developer
http://www.sourcemage.org

Attachment: pgpAiySUjPyi6.pgp
Description: PGP signature



  • [SM-Discuss] Announcing stable grimoire 0.32 release, Arwed von Merkatz, 04/16/2009

Archive powered by MHonArc 2.6.24.

Top of Page